<?php if (!defined('PmWiki')) exit();
/*
!How to use this file
  Set the style options to your preferences in the arrays below.  Uncomment
  an option to enable it.  Some items are required, and these are marked
  with a comment on the right hand side of the item in question.

!How to add your own CSS or image files
	Lens does NOT yet look for CSS or image files outside of the shared folder.

  Add your custom CSS file to the appropriate array in skin.php for all Lens 
	themes that you want to use it in.  The item's name in the array should be 
	the same as its filename on disk, but without the ".css" at the end.  Put 
	the CSS file itself into pub/skins/lens/shared/css.  

  Save images in pub/skins/lens/shared/images to make them available to all 
	themes.  The relative URL for your images will be on the pattern 
	"../images/myimage.jpg".  See a CSS reference such as 
	http://westciv.com/style_master/academy/css_tutorial/properties/background.html#background-image
  to get more information about how to do this.	
*/

global $LensSharedPath, $LensSharedUrl, $LoFi, $HiFi, $BaseUrl, $PubDirUrl, $FarmD;
$LensSharedPath = "$FarmD/pub/skins/lens/shared";
$LensSharedUrl = "$PubDirUrl/skins/lens/shared";

/* ---- STYLES FOR ALL BROWSERS ---- */

$LoFi = array(
#### Core lo-fi layout styles
			'layout-lofi',  #required

#### Font options
## Base font size in percent (choose one)
#			'font-size-76',
#			'font-size-85',
			'font-size-100',
#			'font-size-115',
## Font proportions and styling (choose one)
			'font-proportions',
## Font for body and navigation text (choose one)
#			'font-face-body-georgia',
#			'font-face-body-lucida',
#			'font-face-body-palatino',
			'font-face-body-sans',
#			'font-face-body-serif',
#			'font-face-body-trebuchet',
#			'font-face-body-verdana',
## Font for headers and titles (choose one)
#			'font-face-headers-georgia',
#			'font-face-headers-lucida',
#			'font-face-headers-palatino',
#			'font-face-headers-sans',
			'font-face-headers-serif',
#			'font-face-headers-trebuchet',
#			'font-face-headers-verdana',
## Header styles (completely optional)
#			'font-headers-italic',
#			'font-headers-not_bold',

#### Colour schemes
/* 
Please see implementation.txt before customizing colour schemes or creating 
your own.  It will explain about some of the things you can and cannot do 
with certain combinations of options.
*/
## All layouts (choose one)
#			'decor-color-camel',
			'decor-color-green',
#			'decor-color-websafe',
## For fixed-width floated layouts ONLY (choose one and turn off all options 
## in the "all layouts" group)
#			'decor-color-camel-ff',
#			'decor-color-green-ff',

#### Completely optional features
## Turn off feed links  (default: uncommented)
			'feature-feed-off',
## Turn off viewswitcher  (default: commented)
#			'feature-viewswitcher-off',
## Turn off site logo  (default: commented)
#			'feature-logo-off',
## Turn off underlines on navigational links  (default: commented)
#			'feature-navlink_underlines-off',
## Turn on pretty table borders  (default: commented)
#			'feature-table_borders-on',
## Turn off upload links  (default: commented)
#			'feature-upload-off',
## Turn off tagline  (default: uncommented)
			'feature-wikitagline-off',
  );

/* ---- STYLES FOR MODERN BROWSERS ONLY ---- */

$HiFi = array(
#### Preparation for hi-fi mode
			'layout-prep-undo_lofi',  #required
			'layout-prep-access_links',  #required
			'layout-prep-navlists',  #required

#### Positioned layouts
/*
Will not break if floating elements in your wikipages are cleared unexpectedly. 
They cannot achieve certain background effects easily.  E.g. setting different 
backgrounds for the body and #container div will not look good.  Setting 
backgrounds for just the #content, #masthead, or #sidebar divs could look good.
*/ 
## Sidebar options
/*
Choose your sidebar's width.  Sidebar width determines the min-width for the 
layout.  This keeps the sidebar and main content from getting too small or too 
far out of proportion.
*/ 
			'layout-abpos-sb15em',
#			'layout-abpos-sb22em',
#			'layout-abpos-sb28pct',
#			'layout-abpos-sb33pct',
## Choose whether your sidebar will be on the left or the right
			'layout-abpos-leftsb',
#			'layout-abpos-rightsb',

#### Floated layouts
/*
May break if floating elements in your wikipages are cleared unexpectedly.  
Suitable for colour schemes that set different backgrounds for the body and 
#container divs.
*/ 
## Sidebar options
/*
Choose your sidebar's width.  Sidebar width determines the min-width for the 
layout.  This keeps the sidebar and main content from getting too small or too 
far out of proportion.
*/ 
#			'layout-float-sb15em',
#			'layout-float-sb22em',
#			'layout-float-sb28pct',
#			'layout-float-sb33pct',
## Choose whether your sidebar will be on the left or the right
#			'layout-float-leftsb',
#			'layout-float-rightsb',

#### Layout rigidity -- use only ONE sheet out of this group
/*
By default, Lens uses a liquid layout, which will flow to fit the browser 
window's size.  The following options override that behaviour.  Fixed-width 
layouts are preset to a certain width, and cannot change with your browser 
window.  (The included fixed-width sheets are sized in ems, so they will 
change with the browser's text size.)  Elastic layouts can change to suit your 
browser window, but only within a predetermined range.  
*/ 
## 
## Fixed-width layouts
#			'layout-fixedw-54em',
#			'layout-fixedw-66em',
## Elastic layouts
#			'layout-elastic-90pct-max72em',

#### Decor for hi-fi mode
## Whitespace (choose one)
			'decor-whitespace-lens',
## Borders (choose one)
			'decor-borders-1px_solid',
#			'decor-borders-1px_dotted',
## Navigation lists (choose one)
#			'decor-navlists-minitab',
			'decor-navlists-real_tabs',

#### Layout overrides
## These entries can override default behaviours of Lens or PmWiki
#
## If you're putting wiki content with *desired* blank lines in Lens' 
## configuration wikipages, then you should try commenting this out and see if 
## you prefer the display that way. (default: uncommented)
			'layout-override-no_vspace',
## Sets the sitename block (wiki title and tagline) to stay on righthand side 
## of page  (default: commented)
#			'layout-override-righthand_sitename',
## Force masthead to span entire browser window  (default: commented)
#			'layout-override-wide_masthead',
## Put the wiki tagline on a line by itself  (default: commented)
#			'layout-override-split_sitename',
## Debugging stylesheet  (default: commented)
#			'debug',
	);

## provide backward compatibility for non-relative urls
if ($VersionNum < 2001900) 
     Markup('{*$var}', '<{$var}', '/\\{\\*\\$/', '{$');
     
include_once("$LensSharedPath/pagestore.php");
include_once("$LensSharedPath/cssconfigurator.php");
?>
